Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.message
Class MessageStatusBean

    java.lang.Object
      org.jboss.soa.esb.listeners.message.MessageStatusBean

    public class MessageStatusBean

extends java.lang.Object

Bean that stores data on the message status. Since the Observer/Observable java scheme only allows us to pass a single object, we store all the required data and metadata for reporting here.

Author:
  tcunning@redhat.com

Field Summary
`static java.lang.String` | `MESSAGE_FAILED`
`static java.lang.String` | `MESSAGE_SENT`

Constructor Summary
`MessageStatusBean()` Constructor.
`MessageStatusBean(long f_processTime, Message f_msg, java.lang.String f_status)` Constructor.

Method Summary
`Message` | `getMessage()` Message getter.
`int` | `getMessageBytes()` Message number of bytes getter
`java.lang.String` | `getMessageStatus()` Message status getter.
`long` | `getMessageTime()` Message time getter.
`long` | `getProcessTime()` Process time getter.
`void` | `setMessage(Message f_msg)` Message mutator.
`void` | `setMessageStatus(java.lang.String f_status)` Message status mutator.
`void` | `setMessageTime(long f_messageTime)` Message time mutator.
`void` | `setProcessTime(long f_processTime)` Process time mutator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_SENT

    public static final java.lang.String MESSAGE_SENT

See Also:
  Constant Field Values

### MESSAGE_FAILED

    public static final java.lang.String MESSAGE_FAILED

See Also:
  Constant Field Values

Constructor Detail

### MessageStatusBean

    public MessageStatusBean()

  Constructor.

### MessageStatusBean

    public MessageStatusBean(long f_processTime,
                             Message f_msg,
                             java.lang.String f_status)

  Constructor.

  Parameters:
    `f_processTime` - Time it takes to process message.
    `f_msg` - the message
    `f_status` - status

Method Detail

### getMessage

    public Message getMessage()

  Message getter.

  Returns:
    the Message

### setMessage

    public void setMessage(Message f_msg)

  Message mutator.

  Parameters:
    `f_msg` - the Message

### getMessageStatus

    public java.lang.String getMessageStatus()

  Message status getter.

  Returns:
    message status

### setMessageStatus

    public void setMessageStatus(java.lang.String f_status)

  Message status mutator.

  Parameters:
    `f_status` - message status

### getMessageBytes

    public int getMessageBytes()

  Message number of bytes getter

  Returns:
    message bytes

### getMessageTime

    public long getMessageTime()

  Message time getter.

  Returns:
    the time when the message was sent

### setMessageTime

    public void setMessageTime(long f_messageTime)

  Message time mutator.

  Parameters:
    `f_messageTime` - the time the message was sent

### getProcessTime

    public long getProcessTime()

  Process time getter.

  Returns:
    processing time of the message

### setProcessTime

    public void setProcessTime(long f_processTime)

  Process time mutator.

  Parameters:
    `f_processTime` - processing time of the message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD